function [Nyarray, Ntaxis, yloose, Nbaselinearray, Nsigmax, Nchannelmap, Nstripnummap, Nmaxstrip, Nmaxchannel, Nmetadata, Nmetadescription, Nmetakey, stats] = L1Filter(fname,peakcut,lowerpeakcut)


load(fname);
%passarrayN = (sigmax(1,:) >= peakcut) + (sigmax(2,:) >= peakcut) + (sigmax(3,:) >= peakcut);
passarrayN = (sigmax(1,:) >= peakcut) + (sigmax(2,:) >= peakcut);
passarray = passarrayN>0;

%loosepassN =  ((sigmax(1,:) > lowerpeakcut) + (sigmax(2,:) > lowerpeakcut) + (sigmax(3,:) > lowerpeakcut)).*(sigmax(1,:) < peakcut).*(sigmax(2,:) < peakcut).*(sigmax(3,:) < peakcut);
loosepassN =  ((sigmax(1,:) > lowerpeakcut) + (sigmax(2,:) > lowerpeakcut)).*(sigmax(1,:) < peakcut).*(sigmax(2,:) < peakcut);
loosepass = loosepassN>0;

loosepass = loosepassN>0;

Nyarray=yarray(:,logical(passarray),:);
Ntaxis = taxis;
yloose=yarray(:,logical(loosepass),:);
Nbaselinearray=baselinearray(:,:,logical(passarray));
Nsigmax=sigmax(:,logical(passarray));
Nchannelmap=channelmap;
Nstripnummap=stripnummap;
Nmaxstrip=maxstrip(logical(passarray));
Nmaxchannel=maxchannel(logical(passarray));
Nmetadata=metadata;
Nmetadescription=metadescription;

%temporary fix to metakey
Nmetakey={'mcp 2 bottom voltage (Volts)' 'mcp 2 top voltage (Volts)' 'mcp 1 bottom voltage (Volts)' 'mcp 1 top voltage (Volts)' 'P.C. voltage (Volts)' ...
    'lightsource: 1= laser, 2=UV lamp, 3=LED' 'upstream light intensity (mWatt)' 'downstream light intensity, measured by meter but before filter wheel (nWatt)' ...
    'filter 1' 'filter 2' 'calculated intensity after filter wheel (nW)' 'data (1) or MC (0)' 'scope (1) or chip (0)' 'scope scale in (mV)' ' trigger source (CH number)' 'trigger level (mV)' ...
    'MCP 1 sample number' 'MCP 1 sample number' 'anode gap in mm' 'inter-MCP gap (-1 if single plate) in mm' 'PC gap in mm'};

stats(1)=sum(passarray);
stats(2)= sum(passarray) + sum(loosepass);
[psize1 psize2] = size(passarray); 
stats(3)= psize1;

end
