function [inpath, namebase, namecase, outfilename, nchannels, channelmap, stripnummap, metadata, metadescription,metakey] = themetadata(thecase)


inpath = '~/Desktop/amp/';    
outfilename=['~/Desktop/amp/L0files/L0_VSBaseline1.mat'];

namecase=0;

namebase='ampmeasurements';
UIV=0;
    
nchannels=2;
channelmap(1) = 1;
channelmap(2) = 2;
stripnummap(1) = 1;
stripnummap(2) = 1;
    
metacomment='Two plates, 152 on top with commercial plate 05 underneath. Signal is split 50/50 with half passing through the amplifier';
datadate='27-April-2011';
anadate=date;
codeversion='4-15-11';
metadescription = {metacomment datadate anadate codeversion};


metakey={'mcp 2 bottom voltage (Volts)' 'mcp 2 top voltage (Volts)' 'mcp 1 bottom voltage (Volts)' 'mcp 1 top voltage (Volts)' 'P.C. voltage (Volts)' ...
    'lightsource: 1= laser, 2=UV lamp, 3=LED' 'upstream light intensity (mWatt)' 'downstream light intensity, measured by meter but before filter wheel (nWatt)' ...
    'filter 1' 'filter 2' 'calculated intensity after filter wheel (nW)' 'data (1) or MC (0)' 'scope (1) or chip (0)' 'scope scale in (mV)' ' trigger source (CH number)' 'trigger level (mV)' ...
    'MCP 1 sample number' 'MCP 1 sample number' 'anode gap in mm' 'inter-MCP gap (-1 if single plate) in mm' 'PC gap in mm'};

metadata(1) = -900;       % mcp 2 bottom voltage (Volts)
metadata(2) = -1900;      % mcp 2 top voltage (Volts)
metadata(3) = -2000.;     % mcp 1 bottom voltage (Volts)
metadata(4) = -3000.;     % mcp 1 top voltage (Volts)
metadata(5) = -3300;      % P.C. voltage (Volts)
metadata(6) = 1;          % lightsource: 1= laser, 2=UV lamp, 3=LED
metadata(7) = 650.;       % upstream light intensity (mWatt)
metadata(8) = -555;       % downstream light intensity, measured by meter but before filter wheel (nWatt)
metadata(9) = 0;          % filter 1
metadata(10) = 0;         % filter 2
metadata(11) = -555;      % calculated intensity after filter wheel (nW)
metadata(12) = 1;         % data (1) or MC (0)
metadata(13) = 1;         % scope (1) or chip (0)
metadata(14) = 30;        % scope scale in (mV)
matadata(15) = 3;         % trigger source (CH number)
metadata(16) = 40;        % trigger level (mV)
metadata(17) = 05;        % MCP 1 sample number
metadata(18) = 152;       % MCP 2 sample number
metadata(19) = 7.6;       % anode gap in mm
metadata(20) = 0;         % inter-MCP gap (-1 if single plate) in mm
metadata(21) = 0.4        % PC gap in mm
    
end