function [yarray, t, channelmap, stripnummap, metadata, metadescription, metakey, outname] = readsingleset(thecase,setnumber,Nframes)

[pname, filenamebase, namecase, outname, nchannels, channelmap, stripnummap, metadata, metadescription, metakey] = themetadata(thecase);

outname

fnumbertag='der';
nfs = int2str(setnumber);
if(namecase==1)
    fnumbertag = nfs;
else
    fnumbertag = ['_' nfs];
end

almostfullfilename = [ pname filenamebase fnumbertag ];

testcasename='der';
if(namecase==1)
    testcasename = [almostfullfilename '_Ch1.wfm'];
else
    testcasename = [almostfullfilename '.wfmCH1.wfm'];
end

[testcasearray, t] = readNfastframes(testcasename, Nframes);
[size1,size2] = size(testcasearray);

yarray = zeros(nchannels,size1,size2);

for nc=1:nchannels
   
    endtag = 'der';
    ncs = int2str(channelmap(nc));
    if(namecase==1)
        endtag = ['_Ch' ncs '.wfm'];
    else
        endtag = ['.wfmCH' ncs '.wfm'];
    end
    fullname=[almostfullfilename endtag];
    
    [singlearray, t] = readNfastframes(fullname, Nframes);
    
    yarray(nc,:,:) = singlearray;
end

end